cross compiling gcc : cannot represent machine i386

Ian Lance Taylor iant@google.com
Wed Apr 14 00:16:00 GMT 2010


john blair <mailtome200420032002@yahoo.com> writes:

> I am trying to cross compile gcc 4.1.2 with binutils-2.17.50.15 for RHEL5 machine and I am getting
>
> /opt/toolchain/lin32/binutils-2.17.50.0.15/bin/i686-linux5.0-ld: unable to find version dependency `GLIBC_2.0;
> ....
> /opt/toolchain/lin32/binutils-2.17.50.0.15/bin/i686-linux5.0-ld: unable to find version dependency `GCC_3.0;
> .....
> /opt/toolchain/lin32/binutils-2.17.50.0.15/bin/i686-linux5.0-ld: cannot represent machine `i386)
> .....
>
> I have built the cross compiler for RHEL5 before successfully, and am unable to figure out what is going wrong this time. From the errors it looks like the problem might be with the way binutils was built. 

It looks like your tools running on the host are picking up the target
library.  Make sure you are putting the new libraries somewhere where
the dynamic linker does not search.  You may need to se the
LD_LIBRARY_PATH environment variable to pick up your host libraries
first--e.g., put /lib on LD_LIBRARY_PATH.

Ian



More information about the Gcc-help mailing list